Đến nội dung


Hình ảnh

xin hỏi về khoảng cách từ text đến đường kích thước khi text nằm ngoài


  • Please log in to reply
14 replies to this topic

#1 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 01 May 2015 - 11:13 PM

em chào các bác! các bác cho em xin hỏi là có biến nào quy định khoảng cách từ text đến đường kích thước trong trường hợp text nằm ngoài đường gióng do không đủ chỗ. em cảm ơn. Ví dụ em muốn số 150 nằm gần đường kích thước hơn 1 nữa chứ không phải xa như hiện tại ạ. Ps: mỗi lần kéo vào cũng mệt :)


  • 0

#2 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 May 2015 - 08:00 AM

Bác nào giúp em với


  • 0

#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 May 2015 - 08:15 AM

Bạn đưa hình hoặc file cad lên xem sao.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 May 2015 - 08:17 AM

60980_111.jpg


  • 0

#5 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 May 2015 - 08:30 AM

Hiện tại khoảng cách này là 3. em muốn nó nhỏ hơn để bản vẽ nhìn gọn hơn ạ


  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 May 2015 - 09:06 AM

Thử thay đổi biến DIMGAP rồi Dim lại xem.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 May 2015 - 09:18 AM

Thử thay đổi biến DIMGAP rồi Dim lại xem.

Bác Hà, DimGap làm thay đổi cả cái dim bình thường ( tức là em chỉ muốn điều chỉnh cái text trong trường hợp text không đủ chỗ trống mà phải ghi ra bên ngoài. còn bình thường đủ chỗ trống thì text để offset như vậy là hợp lý rồi, biến DimGap hiện tại của em là 0.6

60980_untitled.jpg


  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 May 2015 - 09:23 AM

Vậy bạn gởi file cad ấy lên, nghiên cứu thử.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 May 2015 - 09:37 AM

http://www.cadviet.c..._new_block_1.dw em muốn cái text 150 vào gần hơn đường kích thước thôi ạ, chứ mỗi lần dim xong phải kéo thủ công vào mệt lắm ạ


  • 0

#10 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 May 2015 - 10:48 AM

DIMFIT >> 2

DIMTIX >> 1

Sau đó Dim xem ưng ý không?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#11 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 May 2015 - 03:01 PM

DIMFIT >> 2

DIMTIX >> 1

Sau đó Dim xem ưng ý không?

KHÔNG ĐƯỢC BÁC HÀ Ạ, DIMFIT = 5 THI RA NGOÀI NHƯNG XA QÚA, =4 THÌ CÓ ĐƯỜNG DẪN, = 3 THÌ NẰM BÊN CẠNH, =2 THÌ BÌNH THƯỜNG LẠI NẰM TRONG KHÔNG RA NGOÀI ĐƯỢC


  • 0

#12 hdb

hdb

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 02 May 2015 - 03:31 PM

Bạn xem  con DIM này có đúng ý bạn không?

 

http://www.cadviet.c...new_block_1.dwg

 

115974_1_1.jpg


  • 0

#13 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 May 2015 - 04:06 PM

Nếu thay đổi biến hệ thống để khoảng cách trong hình của bạn giảm xuống thì khi dim theo kiểu ngược lại khoảng cách này sẽ rất khó chịu (xem hình). Dùng lisp này của bạn Ketxu chắc sẽ tốt hơn.

67029_untitled.png

;; 1). Di chuyen tat ca DimText theo 1 vector. by Ketxu
(defun c:mtd (/ ss 1st_pt pt v oCm) 
 (vl-load-com)
 (command "undo" "be")
 (defun ST:Geom-Center (ent / p1 p2) 
  (vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
  (setq p1 (vlax-safearray->list p1) 
        p2 (vlax-safearray->list p2)          
        pt (mapcar '* (mapcar '+ p1 p2) '(0.5 0.5 0.5))))
 (defun ST:Ss->ListEnt (ss / n e l) 
  (setq n (sslength ss)) 
  (while (setq e (ssname ss (setq n (1- n))))
   (setq l (cons e l)))) 
 (setq ss (ssget (list (cons 0 "DIMENSION"))) 
       1st_pt (ST:Geom-Center (ssname ss 0)) 
       1st_to (getpoint 1st_pt "\nVecto d\U+1ECBch chuy\U+1EC3n text :") 
       v (mapcar '- 1st_to 1st_pt) 
       oCm (getvar "Cmdecho"))
 (setvar "Cmdecho" 0) 
 (foreach dim (ST:Ss->ListEnt ss)
  (setq center (ST:Geom-Center dim))         
  (vl-cmdf "_aidimtextmove" 2 dim "" "_non" (mapcar '+ center v)))
 (setvar "cmdecho" oCm)
 (command "undo" "e") 
 (princ))  

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#14 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 May 2015 - 04:07 PM

Bạn xem  con DIM này có đúng ý bạn không?

 

http://www.cadviet.c...new_block_1.dwg

 

115974_1_1.jpg

HI, BÁC HIỂU LẦM Ý EM RỒI, ĐÂY LÀ EM CHỦ ĐỘNG CHO TEXT RA NGOÀI TRONG TRƯỜNG HỢP CHỖ KHÔNG ĐỦ ĐỂ GHI TEXT, VÌ KHI IN RA TRÔNG NÓ CHỒNG CHÉO NÉT KHÓ NHÌN MÀ, NHƯNG CÁI KHÓ LÀ CHO RA NGOÀI TOÀN PHẢI KÉO THỦ CÔNG THÔI, CÒN THEO NHƯ BẢNG NÀY THÌ LÀ XA QU

Á60980_untitled_1.jpg


  • 0

#15 letrongdaihp

letrongdaihp

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 May 2015 - 04:23 PM

Tôi vừa post ở trên (trùng time với bạn). Xem lại nhé: nên dùng lisp.

THANKS ANH HÀ. EM ĐÃ ỨNG DỤNG LISP CỦA ANH 


  • 0